aboutsummaryrefslogtreecommitdiff
path: root/cpuidle/cpuidle_sanity.sh
diff options
context:
space:
mode:
Diffstat (limited to 'cpuidle/cpuidle_sanity.sh')
-rwxr-xr-xcpuidle/cpuidle_sanity.sh35
1 files changed, 35 insertions, 0 deletions
diff --git a/cpuidle/cpuidle_sanity.sh b/cpuidle/cpuidle_sanity.sh
new file mode 100755
index 0000000..a8336fa
--- /dev/null
+++ b/cpuidle/cpuidle_sanity.sh
@@ -0,0 +1,35 @@
+#!/bin/bash
+#
+# PM-QA validation test suite for the power management on Linux
+#
+# Copyright (C) 2011, Linaro Limited.
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
+#
+# Contributors:
+# Rajagopal Venkat <rajagopal.venkat@linaro.org>
+# - initial API and implementation
+#
+
+source ../include/functions.sh
+
+check_cpuidle_sysfs_entry() {
+
+ local dirpath=$CPU_PATH/cpuidle
+
+ test -d $dirpath && return 1 || return 0
+}
+
+check_cpuidle_sysfs_entry